Package be.fgov.ehealth.ehbox.core.v3

# Class AcknowledgmentType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.AcknowledgmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class AcknowledgmentType extends Object implements Serializable
Specifies content of a Acknowledgment notification

Java class for AcknowledgmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AcknowledgmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
             <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType" minOccurs="0"/>
             <element name="AckType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="PUBLISHED"/>
                   <enumeration value="RECEIVED"/>
                   <enumeration value="READ"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="DateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcknowledgmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAckType()`
  Gets the value of the ackType property.
  `Instant`
  `getDateTime()`
  Gets the value of the dateTime property.
  `String`
  `getMessageId()`
  Gets the value of the messageId property.
  `EhboxIdentifierType`
  `getRecipient()`
  Gets the value of the recipient property.
  `void`
  `setAckType(String value)`
  Sets the value of the ackType property.
  `void`
  `setDateTime(Instant value)`
  Sets the value of the dateTime property.
  `void`
  `setMessageId(String value)`
  Sets the value of the messageId property.
  `void`
  `setRecipient(EhboxIdentifierType value)`
  Sets the value of the recipient property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcknowledgmentType

    public AcknowledgmentType()

- ## Method Details

  - ### getMessageId

    public String getMessageId()
    Gets the value of the messageId property.
    Returns:
      possible object is `String`

  - ### setMessageId

    public void setMessageId(String value)
    Sets the value of the messageId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRecipient

    public EhboxIdentifierType getRecipient()
    Gets the value of the recipient property.
    Returns:
      possible object is `EhboxIdentifierType`

  - ### setRecipient

    public void setRecipient(EhboxIdentifierType value)
    Sets the value of the recipient property.
    Parameters:
      `value` - allowed object is `EhboxIdentifierType`

  - ### getAckType

    public String getAckType()
    Gets the value of the ackType property.
    Returns:
      possible object is `String`

  - ### setAckType

    public void setAckType(String value)
    Sets the value of the ackType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDateTime

    public Instant getDateTime()
    Gets the value of the dateTime property.
    Returns:
      possible object is `String`

  - ### setDateTime

    public void setDateTime(Instant value)
    Sets the value of the dateTime property.
    Parameters:
      `value` - allowed object is `String`